SkyBlue (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic.theme

## Class SkyBlue

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - com.jgoodies.looks.plastic.PlasticTheme
      - - com.jgoodies.looks.plastic.theme.SkyBluer
        - - com.jgoodies.looks.plastic.theme.AbstractSkyTheme
          - - com.jgoodies.looks.plastic.theme.SkyBlue

-     public class SkyBlue
      extends AbstractSkyTheme

  A theme with low saturated blue primary colors and a light gray window background.
  Version:
    $Revision: 1.8 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkyBlue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.AbstractSkyTheme

      `addCustomEntriesToTable, getMenuItemSelectedBackground, getPrimary1, getPrimary2, getPrimary3, getPrimaryControlShadow, getSecondary1, getSecondary2, getSecondary3`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer

      `getFocusColor, getMenuItemSelectedForeground, getMenuSelectedBackground`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkyBlue

          public SkyBlue()

  - ### Method Detail

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `SkyBluer`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.